Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Structures | Macros | Typedefs
classext.h File Reference

Go to the source code of this file.

## Data Structures
struct | rb_deprecated_classext_struct

## Macros
#define | RUBY_BACKWARD_CLASSEXT_H 1
#define | RCLASS_EXT(c) ((rb_deprecated_classext_t *)RCLASS(c)->ptr)
#define | RCLASS_SUPER(c) (RCLASS(c)->super)

## Typedefs
typedef struct rb_deprecated_classext_struct | rb_deprecated_classext_t

## Macro Definition Documentation

## ◆ RCLASS_EXT

#define RCLASS_EXT | ( |  | c | ) | ((rb_deprecated_classext_t *)RCLASS(c)->ptr)

Definition at line 15 of file classext.h.

## ◆ RCLASS_SUPER

#define RCLASS_SUPER | ( |  | c | ) | (RCLASS(c)->super)

Definition at line 16 of file classext.h.

## ◆ RUBY_BACKWARD_CLASSEXT_H

#define RUBY_BACKWARD_CLASSEXT_H 1

Definition at line 8 of file classext.h.

## Typedef Documentation

## ◆ rb_deprecated_classext_t

typedef struct rb_deprecated_classext_struct rb_deprecated_classext_t